Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Util
Class XMLConfig

    java.lang.Object
      |
      +--jChatBox.Util.XMLConfig

public class XMLConfig
extends java.lang.Object

This class implements features to read/save jChatBox XML system configuration file.
DOM have been chosen to model XML. All fields and methods are static.

Field Summary
`static java.lang.String` | `_XMLfilename`
`static java.lang.String` | `BACKUPFILE`
`static java.lang.String` | `CONFFOLDER` Path to jChatBox conf folder (Not ending with a separator)
`static java.lang.String` | `COOKIEID`
`static int` | `DISPLAYMODE`
`static java.util.Vector` | `FILTERS`
`static java.util.Vector` | `FILTERSCLASSES`
`static int` | `HISTORY`
`static java.lang.String` | `LICENSE`
`static java.lang.String` | `LINESEPARATOR` Line separator
`static java.lang.String` | `LOGFOLDER`
`static int` | `MAXUSERS`
`static boolean` | `PRIVATEMESSAGE`
`static int` | `REFRESHLIMIT`
`static int` | `REFRESHMODEL`
`static java.lang.String` | `REGISTRATION`
`static char` | `SEPARATOR` File separator
`static java.lang.String` | `SYSTEMEMAIL`
`static java.lang.String` | `SYSTEMLOGIN`
`static java.lang.String` | `SYSTEMPASSWORD`
`static int` | `TIMEOUT`

Method Summary
`static void` | `ChatroomManagerToFile(ChatroomManager data, java.lang.String aFile)` Writes serialized Hashtable to file.
`static ChatroomManager` | `fileToChatroomManager(java.lang.String aFile)` Reads a serialized Hashtable from file.
`static void` | `init(java.lang.String configFile)` XMLConfig initialization.
`static java.lang.String` | `readRegistration()` Converts OXW file into PLAIN text.
`static void` | `writeConfig()` Saves XML file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BACKUPFILE

    public static java.lang.String BACKUPFILE

### LOGFOLDER

    public static java.lang.String LOGFOLDER

### SYSTEMLOGIN

    public static java.lang.String SYSTEMLOGIN

### SYSTEMPASSWORD

    public static java.lang.String SYSTEMPASSWORD

### SYSTEMEMAIL

    public static java.lang.String SYSTEMEMAIL

### TIMEOUT

    public static int TIMEOUT

### COOKIEID

    public static java.lang.String COOKIEID

### LICENSE

    public static java.lang.String LICENSE

### REGISTRATION

    public static java.lang.String REGISTRATION

### MAXUSERS

    public static int MAXUSERS

### HISTORY

    public static int HISTORY

### REFRESHLIMIT

    public static int REFRESHLIMIT

### DISPLAYMODE

    public static int DISPLAYMODE

### REFRESHMODEL

    public static int REFRESHMODEL

### PRIVATEMESSAGE

    public static boolean PRIVATEMESSAGE

### SEPARATOR

    public static char SEPARATOR

  File separator

### LINESEPARATOR

    public static java.lang.String LINESEPARATOR

  Line separator

### CONFFOLDER

    public static java.lang.String CONFFOLDER

  Path to jChatBox conf folder (Not ending with a separator)

### FILTERSCLASSES

    public static java.util.Vector FILTERSCLASSES

### FILTERS

    public static java.util.Vector FILTERS

### _XMLfilename

    public static java.lang.String _XMLfilename

Method Detail

### init

    public static void init(java.lang.String configFile)

  XMLConfig initialization.
  Set OS file separator.
  Set XML config filename.
  Read & parse XML config file
  Set filters list.

### readRegistration

    public static java.lang.String readRegistration()

  Converts OXW file into PLAIN text.

### writeConfig

    public static void writeConfig()
                            throws java.lang.Exception

  Saves XML file.

### ChatroomManagerToFile

    public static void ChatroomManagerToFile(ChatroomManager data,
                                             java.lang.String aFile)

  Writes serialized Hashtable to file.

### fileToChatroomManager

    public static ChatroomManager fileToChatroomManager(java.lang.String aFile)

  Reads a serialized Hashtable from file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD